Name:		gsmartcontrol
Version:	0.8.7
Release:	%mkrel 10
License:	GPLv2, GPLv3
Url:		http://gsmartcontrol.sourceforge.net
Group:		System/Kernel and hardware
Source:		http://sourceforge.net/projects/%{name}/files/%{version}/%{name}-%{version}.tar.bz2
Source1:	net.sourceforge.%{name}.policy
Patch0:		gsmartcontrol_parser_crash_fix.diff
Summary:	GSmartControl - Hard Disk Health Inspection Tool

Requires:	gtkmm2.4 >= 2.12.0
Requires:	polkit
Requires:	smartmontools

BuildRequires:	pkgconfig(gtkmm-2.4)

%description
GSmartControl is a graphical user interface for smartctl, which is a tool for
querying and controlling SMART (Self-Monitoring, Analysis, and Reporting
Technology) data in hard disk drives. It allows you to inspect the drive's
SMART data to determine its health, as well as run various tests on it.

%prep
%autosetup -p0

sed -i -e "s/Exec=.*gsmartcontrol-root\"/Exec=gsmartcontrol/" data/gsmartcontrol.desktop.in

%build
CXXFLAGS="%{optflags} -std=gnu++11" \
%configure2_5x
%make

%install
%makeinstall_std

%__mkdir_p %{buildroot}%{_libexecdir}
mv %{buildroot}/%{_bindir}/%{name} %{buildroot}%{_libexecdir}/%{name}

# Policy Kit support for nice root access
cat >%{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
exec %{_bindir}/pkexec %{_libexecdir}/%{name} \$*
EOF
%__install -m 0644 %{SOURCE1} -D %{buildroot}%{_datadir}/polkit-1/actions/net.sourceforge.%{name}.policy

%files
%doc %{_datadir}/doc/%{name}
%attr(0755,root,root) %{_bindir}/*
%{_libexecdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/*
%{_datadir}/pixmaps/*
%{_datadir}/polkit-1/actions/*.policy
%{_mandir}/man1/%{name}-root.1*
%{_mandir}/man1/gsmartcontrol.1*


%changelog
* Sat Jan 16 2016 sander85 <sander85> 0.8.7-10.mga6
+ Revision: 924688
- Add fix from upstream

* Sun Aug 30 2015 cjw <cjw> 0.8.7-9.mga6
+ Revision: 871385
- compile C++ code with -std=gnu++11 to fix build with latest libsigc++/gtkmm

* Sun Nov 23 2014 sander85 <sander85> 0.8.7-8.mga5
+ Revision: 798514
- Convert to use Policy Kit

* Wed Oct 15 2014 umeabot <umeabot> 0.8.7-7.mga5
+ Revision: 741196
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.7-6.mga5
+ Revision: 726413
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.7-5.mga5
+ Revision: 679963
- Mageia 5 Mass Rebuild

  + sander85 <sander85>
    - Convert to %%autosetup

* Fri Oct 18 2013 umeabot <umeabot> 0.8.7-4.mga4
+ Revision: 505263
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.8.7-3.mga3
+ Revision: 352693
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.8.7-2.mga3
+ Revision: 323775
- rebuild for new pcre

* Mon Aug 13 2012 sander85 <sander85> 0.8.7-1.mga3
+ Revision: 281049
- New version: 0.8.7

* Mon Jul 23 2012 sander85 <sander85> 0.8.6-2.mga3
+ Revision: 273686
- Add patches from Fedora to fix build with newer glib and gcc.

* Tue Jun 14 2011 sander85 <sander85> 0.8.6-1.mga2
+ Revision: 105950
- new version 0.8.6

* Wed May 04 2011 sander85 <sander85> 0.8.5-2.mga1
+ Revision: 94956
- clean spec
- imported package gsmartcontrol

